{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 8</title>
<link rel='stylesheet' href="{% static 'story3/css/style.css' %}">
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section-new login">
        <div class="section-title">
            <h1 class="section-title-h1">Login</h1>
            <div class="underline login"></div>
        </div>
        <div class="login-part">
            <form method="POST">
                {% csrf_token %}
                <div class="login-field">
                    <p>Username:</p>
                    <input name="username">
                </div>
                <div class="login-field">
                    <p>Password:</p>
                    <input name="password" type="password">
                </div>
                
                {% for message in messages %}  
                    <div class="login-message">
                        <p>{{ message }}</p>
                    </div>
                {% endfor %}
                <button class="story5 btn" style="margin-bottom:1rem;" type="submit">Login</button>
                <p>Don't have an account? <a href="{% url 'story9:signup' %}">Sign up</a>.</p>
            </form>
        </div>
    </div>
</div>
{% endblock content %}